Kumar {VGAM} | R Documentation

## The Kumaraswamy Distribution

### Description

Density, distribution function, quantile function and random generation for the Kumaraswamy distribution.

### Usage

    dkumar(x, shape1, shape2, log = FALSE)
    pkumar(q, shape1, shape2, lower.tail = TRUE, log.p = FALSE)
    qkumar(p, shape1, shape2, lower.tail = TRUE, log.p = FALSE)
    rkumar(n, shape1, shape2)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1` then the length is taken to be the number required.
`shape1, shape2` | positive shape parameters.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `kumar`, the VGAM family function for estimating the parameters, for the formula of the probability density function and other details.

### Value

`dkumar` gives the density, `pkumar` gives the distribution function, `qkumar` gives the quantile function, and `rkumar` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### See Also

`kumar`.

### Examples

    ## Not run:
    shape1 <- 2; shape2 <- 2; nn <- 201; # shape1 <- shape2 <- 0.5;
    x <- seq(-0.05, 1.05, len = nn)
    plot(x, dkumar(x, shape1, shape2), type = "l", las = 1, ylim = c(0,1.5),
         ylab = paste("fkumar(shape1 = ", shape1, ", shape2 = ", shape2, ")"),
         col = "blue", cex.main = 0.8,
         main = "Blue is density, orange is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles")
    lines(x, pkumar(x, shape1, shape2), col = "orange")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qkumar(probs, shape1, shape2)
    lines(Q, dkumar(Q, shape1, shape2), col = "purple", lty = 3, type = "h")
    lines(Q, pkumar(Q, shape1, shape2), col = "purple", lty = 3, type = "h")
    abline(h = probs, col = "purple", lty = 3)
    max(abs(pkumar(Q, shape1, shape2) - probs))  # Should be 0

    ## End(Not run)

[Package VGAM version 1.0-4 Index]